MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029824Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-05-29 15:412018-07-30 10:26
Reporterjgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029824: Intersection of cylinder and sphere is incorrect
DescriptionThis problem can be solved by modifying IntPatch_ALineToWLine: method MakeWLine sometimes generates two different points with the same parameter on "ALine" - a vertex and an ordinary point. But when preventing the excess ordinary point from addition to the "WLine", we have a regression: different structures of the pcurve in the case "bugs modalg_6 bug27431" on Linux and Windows platforms.
Steps To Reproducerestore [locate_data_file OCC20964_revsolid.brep] b1
restore [locate_data_file OCC20964_sphere.brep] b2
explode b1 f
explode b2 f
donly b1_7 b2_1

bop b1_7 b2_1
bopsection r
explode r
donly r_3
TagsNo tags attached.
Test case numberbugs/modalg_7/bug29824
Attached Files

- Relationships

-  Notes
(0076403)
git (administrator)
2018-05-29 16:08

Branch CR29824 has been created by jgv.

SHA-1: fa1e31f98459292398f963e02acf13b96999092c


Detailed log of new commits:

Author: jgv
Date: Tue May 29 16:07:52 2018 +0300

    0029824: Intersection of cylinder and sphere is incorrect
    
    IntPatch_ALineToWLine: modified method MakeWLine - now insertion of special point is done with check to avoid its duplication by wrong point.
(0076762)
nbv (developer)
2018-06-14 11:06

This problem is fixed by the branch CR29807*
(0077383)
nbv (developer)
2018-07-09 10:27

This problem has been fixed. See "tests/bugs/modalg_7/bug29824" test case.
(0077625)
git (administrator)
2018-07-14 12:42

Branch CR29824 has been deleted by inv.

SHA-1: fa1e31f98459292398f963e02acf13b96999092c

- Issue History
Date Modified Username Field Change
2018-05-29 15:41 jgv New Issue
2018-05-29 15:41 jgv Assigned To => msv
2018-05-29 15:42 jgv Relationship added child of 0020964
2018-05-29 16:08 git Note Added: 0076403
2018-06-07 13:55 nbv Relationship added related to 0029511
2018-06-14 11:06 nbv Note Added: 0076762
2018-06-14 11:06 nbv Assigned To msv => nbv
2018-06-14 11:06 nbv Status new => feedback
2018-07-09 10:27 nbv Note Added: 0077383
2018-07-09 10:27 nbv Assigned To nbv => bugmaster
2018-07-09 10:58 bugmaster Status feedback => verified
2018-07-09 10:58 bugmaster Resolution open => fixed
2018-07-14 12:42 git Note Added: 0077625
2018-07-30 10:26 bugmaster Test case number => bugs/modalg_7/bug29824


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker